%define webadminroot /var/www/html/admin

#Module-Specific definitions
%define mod_version 2.0.0
%define release 1mdk
%define mod_name mod_benchmark
%define mod_conf 93_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.2
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk

Summary:	Mod_benchmark is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2

# I was not able to disable cybase, so here's my fix, plus soname fix
Patch0:		mod_benchmark-2.0.0-no_cybase.diff.bz2

Patch1:		mod_benchmark-1.6-apr.diff.bz2

License:	GPL
URL:		http://www.trickytools.com/php/mod_benchmark.php
Prereq:		rpm-helper
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	MySQL-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-libs-devel
BuildRequires:	libtool
Requires:	mod_php
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_benchmark is an %{ap_name} module that produces Performance
Statistics. It can help you find out which are the slower pages,
which are the system bottlenecks. It can also alert you when
thresholds are reached. Reports are displayed through a PHP fronte

NOTE: This software requires the SVG viewer by Adobe to make use
of the graphs produced. (MSIE only?)

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p1 -b .no_cybase
%patch1 -p0 -b .apr

%build
export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

pushd benchmark
# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644
popd

%configure2_5x \
    --with-apxs2=%{apxs} \
    --enable-mysql \
    --enable-pgsql \
    --disable-sybase \
    --disable-oracle

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# fix %%ADVXinstlib compat
cp -rp src/.libs .

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# install other stuff
install -m755 .libs/benchmark-mysql.so %{buildroot}%{ap_extralibs}/
install -m755 .libs/benchmark-pgsql.so %{buildroot}%{ap_extralibs}/
install -m755 src/alerter.sh %{buildroot}%{ap_extralibs}/
install -m755 src/sysstat2 %{buildroot}%{ap_extralibs}/
install -m755 src/benchmark_rt %{buildroot}%{ap_extralibs}/

install -d %{buildroot}/%{webadminroot}/%{mod_name}
cp -aRf benchmark/* %{buildroot}/%{webadminroot}/%{mod_name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO plugins
%doc sql/mod_benchmark-mysql.sql sql/mod_benchmark-std.sql sql/mod_benchmark-pgsql.sql
%config(noreplace) %{ap_confd}/%{mod_conf}
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{mod_name}/php/globals.inc.php
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{mod_name}/perl/globals.inc.pl
%{ap_extralibs}/%{mod_so}
%{ap_extralibs}/alerter.sh
%{ap_extralibs}/sysstat2
%{ap_extralibs}/benchmark_rt
%{ap_extralibs}/benchmark-mysql.so
%{ap_extralibs}/benchmark-pgsql.so
%{ap_webdoc}/*
%{webadminroot}/%{mod_name}/*

%changelog
* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.0-1mdk
- 2.0.0
- fix P0

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.6a-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.6a-1mdk
- built for apache 2.0.49
- added P1

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.6a-1mdk
- built for apache 2.0.48

* Sun Sep 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.6a-1mdk
- 1.6a
- added postgresql support
- fixed P0
- change back the url

* Fri Sep 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5b-1mdk
- 1.5b
- use the %%configure2_5x

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5a-2mdk
- fix S1
- fix description

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5a-1mdk
- 1.5a (the actual contrib...)
- updated the url

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.5-1mdk
- initial cooker contrib, first attempt with this beast...
